package dcrypto

import "crypto/rand"

// Challenge generates a random challenge of n bytes.
func Challenge(n int) []byte {
	challenge := make([]byte, n)
	if _, err := rand.Read(challenge); err != nil || len(challenge) != n {
		return nil
	}
	return challenge
}
