package dcrypto

import (
	"crypto/hkdf"
	"crypto/sha256"
)

// Key creates a key from the given secret and salt using HKDF.
func Key(secret, salt []byte) ([]byte, error) {
	return hkdf.Key(sha256.New, secret, salt, "", 32)
}
